Package org.eclipse.cdt.utils.coff

# Class Coff64.OptionalHeader.OptionalHeader32

java.lang.Object
org.eclipse.cdt.utils.coff.Coff64.OptionalHeader.OptionalHeader32

Enclosing class:
  `Coff64.OptionalHeader`

public static class Coff64.OptionalHeader.OptionalHeader32 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AOUTHDRSZ`
`int`
`bsize`
`int`
`data_start`
`int`
`dsize`
`int`
`entry`
`int`
`text_start`
`int`
`tsize`
`short`
`vstamp`

## Constructor Summary

Constructors
Constructor
Description
`OptionalHeader32(RandomAccessFile file, long offset)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### AOUTHDRSZ

public static final int AOUTHDRSZ

See Also:
  - Constant Field Values

### vstamp

public short vstamp

### tsize

public int tsize

### dsize

public int dsize

### bsize

public int bsize

### entry

public int entry

### text_start

public int text_start

### data_start

public int data_start

## Constructor Details

### OptionalHeader32

public OptionalHeader32(RandomAccessFile file, long offset) throws IOException

Throws:
  `IOException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`